# For ART-build
%define with_atomicscl  %{?_with_atomicscl:  1} %{?!_with_atomicscl:  0}
%if %{with_atomicscl}
%global scl atomic-protobuf
%define _scl_prefix /opt/atomic
%endif

%if 0%{?scl:1}
%scl_package protobuf
%endif




%if %{with python}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")
%endif

Summary:        Protocol Buffers - Google's data interchange format
Name:           %{?scl_prefix}protobuf
Version:        3.6.1
Release:        7%{?dist}.art
License:        BSD
Group:          Development/Libraries
Source:         protobuf-3.6.1.tar.gz
URL:            http://code.google.com/p/protobuf/
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  libtool pkgconfig 
AutoReq: 0

%description
Protocol Buffers are a way of encoding structured data in an efficient
yet extensible format. Google uses Protocol Buffers for almost all of
its internal RPC protocols and file formats.

Protocol buffers are a flexible, efficient, automated mechanism for
serializing structured data – think XML, but smaller, faster, and
simpler. You define how you want your data to be structured once, then
you can use special generated source code to easily write and read
your structured data to and from a variety of data streams and using a
variety of languages. You can even update your data structure without
breaking deployed programs that are compiled against the "old" format.

%package runtime
Summary: Package that handles %scl Software Collection.
Group: Applications/Internet
Requires: scl-utils
Provides: atomic-protobuf-runtime
## 
%description runtime
SCL Runtime

%prep
%setup -q -n protoc

cat <<EOF | tee enable
export PATH=%{_bindir}:%{_sbindir}\${PATH:+:\${PATH}}
export MANPATH=%{_mandir}:\${MANPATH}
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
pythonvers=2.7
export PYTHONPATH=/opt/atomic/atomic-protobuf/root/usr/lib64/python\$pythonvers/site-packages:/opt/atomic/atomic-protobuf/root/usr/lib/python\$pythonvers/site-packages
export PYTHONUSERBASE=/opt/atomic/atomic-protobuf/root/
EOF


%build

%install
rm -rf %{buildroot}
#install -p -m 644 -D %{SOURCE1} %{buildroot}%{_datadir}/vim/vimfiles/ftdetect/proto.vim
%scl_install
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT/opt/atomic/atomic-protobuf/root/usr/lib/
install -m 755 bin/protoc ${RPM_BUILD_ROOT}%{_bindir}/
cp -a include/google $RPM_BUILD_ROOT/%{_includedir}/
cp -a lib64 $RPM_BUILD_ROOT/%{_libdir}
cp -a lib64/* $RPM_BUILD_ROOT//opt/atomic/atomic-protobuf/root/usr/lib/
install -m 644 enable  %{buildroot}%{_scl_scripts}/enable


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{_bindir}/protoc
/opt/atomic/atomic-protobuf/root/bin
/opt/atomic/atomic-protobuf/root/lib
/opt/atomic/atomic-protobuf/root/lib64
/opt/atomic/atomic-protobuf/root/sbin
/opt/atomic/atomic-protobuf/root/usr/*
/opt/atomic/atomic-protobuf/root/var/mail
%dir %{_includedir}/google
%{_includedir}/google/protobuf/

%files runtime
%{_root_sysconfdir}/rpm/macros.%{scl}-config
%{_root_sysconfdir}/scl/prefixes/atomic-protobuf
%{_scl_scripts}/enable


%changelog
* Thu Jan 20 2011 BJ Dierkes <wdierkes@rackspace.com> - 2.3.0-7
- Added Patch4: protobuf-2.3.0-ez_setup.patch (don't use ez_setup
  as it tries to download setuptools)

* Tue Jan 18 2011 BJ Dierkes <wdierkes@rackspace.com> - 2.3.0-6
- Add Group: Development/Libraries to -lite-devel package
- BuildRequires: python-setuptools on EL5 (not python-setuptools-devel)
- Don't build -java on EL5/EL6 (until maven2 is packaged into EPEL)
- Add Patch3: protobuf-2.2.0-libtool.patch (on el5)
- Don't BuildRequire automake, autoconf on el5
- Don't run autogen.sh on EL5

* Mon Jul 26 2010 David Malcolm <dmalcolm@redhat.com> - 2.3.0-5
- generalize hardcoded reference to 2.6 in python subpackage %%files manifest

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jul 15 2010 James Laska <jlaska@redhat.com> - 2.3.0-3
- Correct use of %bcond macros

* Wed Jul 14 2010 James Laska <jlaska@redhat.com> - 2.3.0-2
- Enable python and java sub-packages

* Tue May 4 2010 Conrad Meyer <konrad@tylerc.org> - 2.3.0-1
- bump to 2.3.0

* Wed Sep 30 2009 Lev Shamardin <shamardin@gmail.com> - 2.2.0-2
- added export PTHREAD_LIBS="-lpthread"

* Fri Sep 18 2009 Lev Shamardin <shamardin@gmail.com> - 2.2.0-1
- Upgraded to upstream protobuf-2.2.0
- New -lite packages

* Sun Mar 01 2009 Caolán McNamra <caolanm@redhat.com> - 2.0.2-8
- add stdio.h for sprintf, perror, etc.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 23 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-6
- Small fixes for python 2.6 eggs.
- Temporarily disabled java subpackage due to build problems, will be fixed and
  turned back on in future.

* Thu Nov 27 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-5
- No problems with ppc & ppc64 arch in rawhide, had to do a release bump.

* Sat Nov 22 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-4
- Added patch from subversion r70 to workaround gcc 4.3.0 bug (see
  http://code.google.com/p/protobuf/issues/detail?id=45 for more
  details).

* Tue Nov 11 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-3
- Added conflicts to java and python subpackages to prevent using with
  wrong compiler versions.
- Fixed license.
- Fixed BuildRequires for -python subpackage.
- Fixed Requires and Group for -javadoc subpackage.
- Fixed Requires for -devel subpackage.
- Fixed issue with wrong shebang in descriptor_pb2.py.
- Specify build options via --with/--without.
- Use Fedora-packaged gtest library instead of a bundled one by
  default (optional).

* Fri Oct 31 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-2
- Use python_sitelib macro instead of INSTALLED_FILES.
- Fix the license.
- Fix redundant requirement for -devel subpackage.
- Fix wrong dependences for -python subpackage.
- Fix typo in requirements for -javadoc subpackage.
- Use -p option for cp and install to preserve timestamps.
- Remove unneeded ldconfig call for post scripts of -devel subpackage.
- Fix directories ownership.

* Sun Oct 12 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.2-1
- Update to version 2.0.2
- New -java and -javadoc subpackages.
- Options to disable building of -python and -java* subpackages

* Mon Sep 15 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.1-2
- Added -p switch to install commands to preserve timestamps.
- Fixed Version and Libs in pkgconfig script.
- Added pkgconfig requires for -devel package.
- Removed libtool archives from -devel package.

* Thu Sep 04 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.1-1
- Updated to 2.0.1 version.

* Wed Aug 13 2008 Lev Shamardin <shamardin@gmail.com> - 2.0.0-0.1.beta
- Initial package version. Credits for vim subpackage and pkgconfig go
  to Rick L Vinyard Jr <rvinyard@cs.nmsu.edu>
